# IdeaSingleEntryLibraryDependency

interface IdeaSingleEntryLibraryDependency : IdeaDependency, ExternalDependency

"Single-Entry Module Library" as IDEA calls it. For example a single Jar file with sources Jar.

#### Since

1.0-milestone-5

## Functions

getExported
Link copied to clipboard
abstract fun getExported(): Boolean
getFile
Link copied to clipboard
abstract fun getFile(): File
Returns the file for this dependency.
getGradleModuleVersion
Link copied to clipboard
abstract fun getGradleModuleVersion(): @Nullable GradleModuleVersion
getJavadoc
Link copied to clipboard
@Nullable
abstract fun getJavadoc(): @Nullable File
Returns the Javadoc directory/archive for this dependency.
getScope
Link copied to clipboard
abstract fun getScope(): IdeaDependencyScope
getSource
Link copied to clipboard
@Nullable
abstract fun getSource(): @Nullable File
Returns the source directory/archive for this dependency.
isExported
Link copied to clipboard
abstract fun isExported(): Boolean